### Hierarchy

- EventLoopDelayMonitor

## Index

### Properties

- exceeds
- max
- mean
- min
- percentiles
- stddev

### Methods

- disable
- enable
- percentile
- reset

## Properties

### exceeds

exceeds: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:280

The number of times the event loop delay exceeded the maximum 1 hour eventloop delay threshold.

### max

max: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:290

The maximum recorded event loop delay.

### mean

mean: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:295

The mean of the recorded event loop delays.

### min

min: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:285

The minimum recorded event loop delay.

### percentiles

percentiles: Map<number, number>

- Defined in node_modules/@types/node/perf_hooks.d.ts:275

A `Map` object detailing the accumulated percentile distribution.

### stddev

stddev: number

- Defined in node_modules/@types/node/perf_hooks.d.ts:300

The standard deviation of the recorded event loop delays.

## Methods

### disable

- disable(): boolean

- - Defined in node_modules/@types/node/perf_hooks.d.ts:259

  Disables the event loop delay sample timer. Returns `true` if the timer was stopped, `false` if it was already stopped.

  #### Returns boolean

### enable

- enable(): boolean

- - Defined in node_modules/@types/node/perf_hooks.d.ts:255

  Enables the event loop delay sample timer. Returns `true` if the timer was started, `false` if it was already started.

  #### Returns boolean

### percentile

- percentile(percentile: number): number

- - Defined in node_modules/@types/node/perf_hooks.d.ts:270

  Returns the value at the given percentile.

  #### Parameters

  - ##### percentile: number

    A percentile value between 1 and 100.

  #### Returns number

### reset

- reset(): void

- - Defined in node_modules/@types/node/perf_hooks.d.ts:264

  Resets the collected histogram data.

  #### Returns void

Generated using TypeDoc